$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.185-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.185-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '9F7B28B2B30BE97888462FC015D18AE2A94BE3C9860FB9E80C2586BE6700AED0'
  checksumType = 'sha256'
  checksum64 = '9F7B28B2B30BE97888462FC015D18AE2A94BE3C9860FB9E80C2586BE6700AED0'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.185-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
